.TH "freshclam.conf" "5" "December 4, 2013" "ClamAV @VERSION@" "Clam AntiVirus"
.SH "NAME"
.LP 
\fBfreshclam.conf\fR \- Configuration file for Clam AntiVirus database update tool
.SH "DESCRIPTION"
.LP 
The file freshclam.conf configures the Clam AntiVirus Database Updater, freshclam(1).
.SH "FILE FORMAT"
The file consists of comments and options with arguments. Each line which starts with a hash (\fB#\fR) symbol is ignored by the parser. Options and arguments are case sensitive and of the form \fBOption Argument\fR. The arguments are of the following types:
.TP
\fBBOOL\fR 
Boolean value (yes/no or true/false or 1/0).
.TP 
\fBSTRING\fR
String without blank characters.
.TP 
\fBSIZE\fR
Size in bytes. You can use 'M' or 'm' modifiers for megabytes and 'K' or 'k' for kilobytes.
.TP 
\fBNUMBER\fR
Unsigned integer.
.SH "DIRECTIVES"
.LP 
When an option is not used (hashed or doesn't exist in the configuration file) freshclam takes a default action.
.TP 
\fBExample\fR
If this option is set freshclam will not run.
.TP
\fBLogFileMaxSize SIZE\fR
Limit the size of the log file. The logger will be automatically disabled if the file is greater than SIZE. Value of 0 disables the limit.
.br
Default: 1M 
.TP
\fBLogTime BOOL\fR
Log time with each message.
.br
Default: no
.TP
\fBLogSyslog BOOL\fR
Enable logging to Syslog. May be used in combination with UpdateLogFile.
.br 
Default: disabled.
.TP 
\fBLogFacility STRING\fR
Specify the type of syslog messages \- please refer to 'man syslog' for facility names.
.br 
Default: LOG_LOCAL6
.TP 
\fBLogVerbose BOOL\fR
Enable verbose logging.
.br 
Default: disabled
.TP
\fBLogRotate BOOL\fR
Rotate log file. Requires LogFileMaxSize option set prior to this option.
.br
Default: no
.TP 
\fBPidFile STRING\fR
This option allows you to save the process identifier of the daemon to a file specified in the argument.
.br 
Default: disabled
.TP 
\fBDatabaseDirectory STRING\fR
Path to a directory containing database files.
.br 
Default: @DBDIR@
.TP
\fBForeground BOOL\fR
Don't fork into background.
.br
Default: no
.TP
\fBDebug BOOL\fR
Enable debug messages in libclamav.
.br
Default: no
.TP 
\fBAllowSupplementaryGroups BOOL\fR
Initialize supplementary group access (freshclam must be started by root).
.br 
Default: disabled
.TP 
\fBUpdateLogFile STRING\fR
Enable logging to a specified file. Highly recommended.
.br 
Default: disabled.
.TP 
\fBDatabaseOwner STRING\fR
When started by root, drop privileges to a specified user. 
.br 
Default: @CLAMAVUSER@
.TP 
\fBChecks NUMBER\fR
Number of database checks per day.
.br 
Default: 12
.TP 
\fBDNSDatabaseInfo STRING\fR
Use DNS to verify the virus database version. Freshclam uses DNS TXT records to verify the versions of the database and software itself. With this directive you can change the database verification domain.
.br
\fBWARNING:\fR Please don't change it unless you're configuring freshclam to use your own database verification domain.
.br 
Default: enabled, pointing to current.cvd.clamav.net
.TP 
\fBDatabaseMirror STRING\fR
DatabaseMirror specifies to which mirror(s) freshclam should connect. You should have at least two entries: db.XY.clamav.net (or db.XY.ipv6.clamav.net for IPv6) and database.clamav.net (in this order). Please replace XY with your country code (see http://www.iana.org/cctld/cctld-whois.htm). database.clamav.net is a round-robin record which points to our most reliable mirrors. It's used as a fall back in case db.XY.clamav.net is not working.
.br 
Default: database.clamav.net
.TP 
\fBPrivateMirror STR\fR
This option allows you to easily point freshclam to private mirrors. If PrivateMirror is set, freshclam does not attempt to use DNS to determine whether its databases are out-of-date, instead it will use the If-Modified-Since request or directly check the headers of the remote database files. For each database, freshclam first attempts to download the CLD file. If that fails, it tries to download the CVD file. This option overrides DatabaseMirror, DNSDatabaseInfo and ScriptedUpdates. It can be used multiple times to provide fall-back mirrors.
.br 
Default: disabled
.TP 
\fBMaxAttempts NUMBER\fR
How many attempts (per mirror) to make before giving up.
.br .
Default: 3 (per mirror)
.TP 
\fBScriptedUpdates BOOL\fR
With this option you can control scripted updates. It's highly recommended to keep it enabled.
.br .
Default: yes
.TP 
\fBTestDatabases BOOL\fR
With this option enabled, freshclam will attempt to load new databases into memory to make sure they are properly handled by libclamav before replacing the old ones.
.br .
Default: enabled
.TP 
\fBCompressLocalDatabase BOOL\fR
By default freshclam will keep the local databases (.cld) uncompressed to make their handling faster. With this option you can enable the compression; the change will take effect with the next database update.
.br 
Default: no
.TP
\fBExtraDatabase STRING\fR
Download an additional 3rd party signature database distributed through the ClamAV mirrors. This option can be used multiple times. Here you can find a list of available databases: http://www.clamav.net/download/cvd/3rdparty
.br
Default: disabled
.TP 
\fBDatabaseCustomURL STRING\fR
With this option you can provide custom sources (http:// or file://) for database files. This option can be used multiple times.
.br 
Default: disabled
.TP 
\fBHTTPProxyServer STR\fR, \fBHTTPProxyPort NUMBER\fR
Use given proxy server and TCP port for database downloads. HTTPProxyPort defaults to 8080.
.TP 
\fBHTTPProxyUsername STR\fR,\fBHTTPProxyPassword STRING\fR
Proxy usage is authenticated through given username and password.
.br .
Default: disabled
.TP 
\fBHTTPUserAgent STRING\fR
If your servers are behind a firewall/proxy which applies User-Agent filtering, you can use this option to force the use of a different User-Agent header.
.br .
Default: clamav/version_number
.TP 
\fBNotifyClamd STRING\fR
Notify a running clamd(8) to reload its database after a download has occurred. The path for clamd.conf file must be provided.
.br .
Default: The default is to not notify clamd. See clamd.conf(5)'s option SelfCheck for how clamd(8) handles database updates in this case.
.TP 
\fBOnUpdateExecute STRING\fR
Execute this command after the database has been successfully updated.
.br 
Default: disabled
.TP
\fBOnErrorExecute STRING\fR
Execute this command after a database update has failed.
.br 
Default: disabled
.TP 
\fBOnOutdatedExecute STRING\fR
Execute this command when freshclam reports outdated version. In the command string %v will be replaced by the new version number.
.br 
Default: disabled
.TP 
\fBLocalIPAddress IP\fR
Use \fBIP\fR as client address for downloading databases. Useful for multi homed systems.
.br .
Default: Use OS'es default outgoing IP address.
.TP
\fBConnectTimeout NUMBER\fR
Timeout in seconds when connecting to database server.
.br 
Default: 10
.TP
\fBReceiveTimeout NUMBER\fR
Timeout in seconds when reading from database server.
.br 
Default: 30
.TP
\fBSubmitDetectionStats STRING\fR
When enabled freshclam will submit statistics to the ClamAV Project about the latest virus detections in your environment. The ClamAV maintainers will then use this data to determine what types of malware are the most detected in the field and in what geographic area they are. Freshclam will connect to clamd in order to get the recent statistics. The path for clamd.conf file must be provided.
.br
Default: disabled
.TP
\fBDetectionStatsCountry STRING\fR
Country of origin of malware/detection statistics (for statistical purposes only). The statistics collector at ClamAV.net will look up your IP address to determine the geographical origin of the malware reported by your installation. If this installation is mainly used to scan data which comes from a different location, please enable this option and enter a two-letter code (see http://www.iana.org/domains/root/db/) of the country of origin.
.br
Default: disabled
.TP
\fBDetectionStatsHostID STRING\fR
This option enables support for our "Personal Statistics" service. When this option is enabled, the information on malware detected by your clamd installation is made available to you through our website. To get your HostID, log on http://www.stats.clamav.net and add a new host to your host list. Once you have the HostID, uncomment this option and paste the HostID here. As soon as your freshclam starts submitting information to our stats collecting service, you will be able to view the statistics of this clamd installation by logging into http://www.stats.clamav.net with the same credentials you used to generate the HostID. For more information refer to: http://www.clamav.net/documents/clamav-community-threat-tracking-system/. This feature requires SubmitDetectionStats to be enabled.
.br
Default: disabled
.TP
\fBSafeBrowsing BOOL\fR
This option enables support for Google Safe Browsing. When activated for the first time, freshclam will download a new database file (safebrowsing.cvd) which will be automatically loaded by clamd and clamscan during the next reload, provided that the heuristic phishing detection is turned on. This database includes information about websites that may be phishing sites or possible sources of malware. When using this option, it's mandatory to run freshclam at least every 30 minutes. Freshclam uses the ClamAV's mirror infrastructure to distribute the database and its updates but all the contents are provided under Google's terms of use. See http://code.google.com/support/bin/answer.py?answer=70015 and http://safebrowsing.clamav.net for more information.
.br
Default: disabled
.TP
\fBBytecode BOOL\fR
This option enables downloading of bytecode.cvd, which includes additional detection mechanisms and improvements to the ClamAV engine.
.br
Default: enabled
.SH "FILES"
.LP 
@CFGDIR@/freshclam.conf
.SH "AUTHOR"
.LP 
Thomas Lamy <thomas.lamy@netwake.de>, Tomasz Kojm <tkojm@clamav.net>, Kevin Lin <klin@sourcefire.com>
.SH "SEE ALSO"
.LP 
freshclam(1), clamd.conf(5), clamd(8), clamscan(1)
